Orxonox: orxonox::CameraManager Class Reference

# orxonox::CameraManager Class Reference

`#include <src/orxonox/CameraManager.h>`

List of all members.

## Public Member Functions

| CameraManager (Ogre::Viewport *viewport)
Camera * | getActiveCamera () const
void | releaseFocus (Camera *camera)
void | requestFocus (Camera *camera)
void | useCamera (Ogre::Camera *camera)
| ~CameraManager ()

## Static Public Member Functions

static CameraManager & | getInstance ()
static CameraManager * | getInstancePtr ()

## Private Member Functions

| CameraManager (const CameraManager &)

## Private Attributes

std::list< Camera * > | cameraList_
Ogre::Camera * | fallbackCamera_
Ogre::Viewport * | viewport_

## Static Private Attributes

static CameraManager * | singletonRef_s = 0

## Constructor & Destructor Documentation

orxonox::CameraManager::CameraManager | ( | Ogre::Viewport * | viewport | ) |

References fallbackCamera_, and singletonRef_s.

orxonox::CameraManager::~CameraManager | ( |  | ) |

References fallbackCamera_, and singletonRef_s.

orxonox::CameraManager::CameraManager | ( | const CameraManager & |  | ) | `[private]`

## Member Function Documentation

Camera * orxonox::CameraManager::getActiveCamera | ( |  | ) | const

References cameraList_.

Referenced by orxonox::SoundManager::tick(), and orxonox::Planet::tick().

static CameraManager& orxonox::CameraManager::getInstance | ( |  | ) | `[inline, static]`

Referenced by orxonox::Camera::releaseFocus(), orxonox::Camera::requestFocus(), orxonox::Camera::setFocus(), orxonox::SoundManager::tick(), and orxonox::Planet::tick().

static CameraManager* orxonox::CameraManager::getInstancePtr | ( |  | ) | `[inline, static]`

Referenced by orxonox::SoundManager::tick().

void orxonox::CameraManager::releaseFocus | ( | Camera * | camera | ) |

References cameraList_, fallbackCamera_, orxonox::BaseObject::getScene(), orxonox::Scene::getSceneManager(), orxonox::getUniqueNumberString(), orxonox::Camera::removeFocus(), orxonox::GameMode::showsGraphics(), and useCamera().

Referenced by orxonox::Camera::releaseFocus().

void orxonox::CameraManager::requestFocus | ( | Camera * | camera | ) |

References cameraList_, fallbackCamera_, orxonox::Camera::setFocus(), and orxonox::GameMode::showsGraphics().

Referenced by orxonox::Camera::requestFocus().

void orxonox::CameraManager::useCamera | ( | Ogre::Camera * | camera | ) |

References orxonox::GUIManager::getInstance(), orxonox::GUIManager::setCamera(), and viewport_.

Referenced by releaseFocus(), and orxonox::Camera::setFocus().

## Member Data Documentation

std::list<Camera*> orxonox::CameraManager::cameraList_`[private]`

Referenced by getActiveCamera(), releaseFocus(), and requestFocus().

Ogre::Camera* orxonox::CameraManager::fallbackCamera_`[private]`

Referenced by CameraManager(), releaseFocus(), requestFocus(), and ~CameraManager().

CameraManager * orxonox::CameraManager::singletonRef_s = 0`[static, private]`

Referenced by CameraManager(), and ~CameraManager().

Ogre::Viewport* orxonox::CameraManager::viewport_`[private]`

Referenced by useCamera().

The documentation for this class was generated from the following files:

- src/orxonox/CameraManager.h
- src/orxonox/CameraManager.cc